Subject: bug#56407: 29.0.50; desktop.el shouldn't be saving/restoring eglot--managed-mode, which is not for interactive use

From: João Távora <[email-masked]>
Date: Wed, 6 Jul 2022 14:59:25 +0100

On Wed, Jul 6, 2022 at 2:53 PM Lars Ingebrigtsen <[email-masked]> wrote:

> João Távora <[email-masked]> writes:
>
> > Why is it the easiest one?  Because I've just remembered an obvious
> > drawback of the symbol-property approach: it will only work on Emacs
> trunk,
> > _unless_ we make the little dance (that I've done a few times) of making
> > desktop.el a GNU ELPA :core  package and making eglot.el depend on
> > that package (which is different from _requiring_ the load of that
> package).
> >
> > Lars, what do you think?
>
> Hm, I'd forgotten that eglot was also an ELPA package.
>
> Making desktop a :core package is fine by me, but you're right that it'd
> be easier to use with-eval-after-load here.  (I'm still in favour of
> adding the symbol-plist thing for desktop as a more long term solution,
> but we can do both.)
>

Yeah, the problem is if desktop.el uses recently added features of
some _other_ library.  Then I'd have to add that one to :core as well,
or somehow clarify the supported uses of desktop.el in that context.

I don't have time for that, so I think I'll go with `with-eval-after-load`
in
eglot.el and call it a day.

João